using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;
using FarPoint.Win.Spread.CellType;
using FarPoint.Win.SuperEdit;

namespace WindowsApplication2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //fpSpread1.ActiveSheet.CellChanged += new FarPoint.Win.Spread.SheetViewEventHandler(ActiveSheet_CellChanged);
            Random r = new Random();
            int i, j;
            DialogResult dlg;
            MyGeneralCellType t = new MyGeneralCellType();
            t.WordWrap = true;
            t.AcceptsArrowKeys = AcceptsArrowKeys.None;
            

            for (i = 0; i <= 3; i++)
            {
                for (j = 0; j <= 3; j++)
                {
                    StyleInfo si = new StyleInfo();
                    si.CellType = t;
                    fpSpread1.ActiveSheet.SetStyleInfo(i,j, si);
                    fpSpread1.ActiveSheet.SetValue(i, j, r.Next() - 100000);
                }
            }
            dlg = MessageBox.Show("Do you want to copy the data to the clipboard?", "ClipboardCopy", MessageBoxButtons.YesNo);
            if (dlg == DialogResult.Yes)
            {
                fpSpread1.ActiveSheet.AddSelection(0, 0, 3, 3);
                fpSpread1.ActiveSheet.ClipboardCopy();
            }
            dlg = MessageBox.Show("Do you want to paste the data from the clipboard? If yes, let's clear the data first.", "Clear", MessageBoxButtons.YesNo);
            if (dlg == DialogResult.Yes)
            {
                fpSpread1.ActiveSheet.Cells[0, 0, 5, 5].Text = "";
                fpSpread1.ActiveSheet.ClearSelection();
                fpSpread1.ActiveSheet.AddSelection(0, 0, 3, 3);
            }
            dlg = MessageBox.Show("Now we're ready to paste!!", "ClipboardPaste", MessageBoxButtons.YesNo);
            if (dlg == DialogResult.Yes)
            {
                fpSpread1.ActiveSheet.ClipboardPaste();
            }
        }

        //void ActiveSheet_CellChanged(object sender, FarPoint.Win.Spread.SheetViewEventArgs e)
        //{
        //    int a = 32;
        //}

     private void button2_Click(object sender, EventArgs e)
     {
         fpSpread1.ActiveSheet.ClipboardPaste();
     }

     private void fpSpread1_Sheet1_CellChanged(object sender, SheetViewEventArgs e)
     {
     int a = 32;
     }

     private void Form1_Load(object sender, EventArgs e)
     {
      fpSpread1.ActiveSheet.Cells[0,0,5,5].CellType = new MyGeneralCellType();
      button1.Enabled=false;
     }
    }
}